VERSION 5.00
Begin VB.Form Heightmap 
   Caption         =   "New Heightfield."
   ClientHeight    =   3615
   ClientLeft      =   4920
   ClientTop       =   3345
   ClientWidth     =   6270
   LinkTopic       =   "Form2"
   ScaleHeight     =   3615
   ScaleWidth      =   6270
   Begin VB.TextBox MaxSize 
      Height          =   300
      Left            =   5070
      TabIndex        =   13
      Text            =   "256"
      Top             =   3135
      Width           =   945
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "Heightmap.frx":0000
      Left            =   3360
      List            =   "Heightmap.frx":0013
      TabIndex        =   11
      Text            =   "Combo1"
      Top             =   2670
      Width           =   1485
   End
   Begin VB.TextBox WidthSize 
      Height          =   285
      Index           =   1
      Left            =   2250
      TabIndex        =   9
      Text            =   "4"
      Top             =   2700
      Width           =   315
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Init LOD"
      Height          =   255
      Left            =   5055
      TabIndex        =   8
      Top             =   2685
      Width           =   1065
   End
   Begin VB.TextBox WidthSize 
      Height          =   285
      Index           =   0
      Left            =   960
      TabIndex        =   7
      Text            =   "4"
      Top             =   2685
      Width           =   345
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Cancel"
      Height          =   330
      Left            =   1275
      TabIndex        =   2
      Top             =   3195
      Width           =   1710
   End
   Begin VB.CommandButton Command2 
      Caption         =   "TERRAIN FROM HEIGHTMAP"
      Height          =   1170
      Left            =   300
      TabIndex        =   1
      Top             =   1425
      Width           =   1485
   End
   Begin VB.CommandButton Command1 
      Caption         =   "EMPTY  TERRAIN"
      Height          =   1170
      Left            =   315
      TabIndex        =   0
      Top             =   135
      Width           =   1440
   End
   Begin VB.Label Label3 
      Caption         =   "Maximum Height :"
      Height          =   240
      Left            =   3735
      TabIndex        =   12
      Top             =   3195
      Width           =   1500
   End
   Begin VB.Label Label2 
      Caption         =   "Quality :"
      Height          =   270
      Index           =   2
      Left            =   2730
      TabIndex        =   10
      Top             =   2745
      Width           =   1545
   End
   Begin VB.Label Label2 
      Caption         =   "Height :"
      Height          =   270
      Index           =   1
      Left            =   1620
      TabIndex        =   6
      Top             =   2730
      Width           =   1545
   End
   Begin VB.Label Label2 
      Caption         =   "Width :"
      Height          =   270
      Index           =   0
      Left            =   360
      TabIndex        =   5
      Top             =   2745
      Width           =   1545
   End
   Begin VB.Label Label1 
      Caption         =   $"Heightmap.frx":003A
      Height          =   855
      Index           =   1
      Left            =   1935
      TabIndex        =   4
      Top             =   1635
      Width           =   4215
   End
   Begin VB.Label Label1 
      Caption         =   "Create empty terrain with the selected size and quality. Note than you can add new chunks of terrain later."
      Height          =   855
      Index           =   0
      Left            =   1905
      TabIndex        =   3
      Top             =   375
      Width           =   4215
   End
End
Attribute VB_Name = "Heightmap"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Command1_Click()
   Dim CWidth As Long, CHeight As Long
   CWidth = Val(WidthSize(0).Text)
   CHeight = Val(WidthSize(1).Text)
   lod = Check1.Value
   Dim precision As CONST_TV_LANDSCAPE_PRECISION
   Select Case Combo1.ListIndex
    Case 0: precision = TV_PRECISION_LOW
    Case 1: precision = TV_PRECISION_AVERAGE
    Case 2: precision = TV_PRECISION_HIGH
    Case 3: precision = TV_PRECISION_BEST
    Case 4: precision = TV_PRECISION_ULTRA
   End Select
   If lod = True Then Land.EnableLOD True
   Land.CreateEmptyTerrain precision, CWidth, CHeight, 0, 0
End Sub

Private Sub Command2_Click()
   Me.Hide
   Form1.CD.DialogTitle = "Load a heightmap"
   Form1.CD.Filter = "HeightMap (bmp, jpg, png, gif)|*.bmp;*.jpg;*.png;*.gif"
   On Error Resume Next
   Err.Clear
   Form1.CD.CancelError = True
   Form1.CD.ShowOpen
   If Err Then Exit Sub
   
   Dim TWidth As Long, THeight As Long
   TWidth = Val(WidthSize(0).Text)
   THeight = Val(WidthSize(1).Text)
   Dim HeightLimit As Single
   HeightLimit = Val(MaxSize.Text) / 256
   Land.SetFactorY HeightLimit
   lod = Check1.Value
   Dim precision As CONST_TV_LANDSCAPE_PRECISION
   Select Case Combo1.ListIndex
    Case 0: precision = TV_PRECISION_LOW
    Case 1: precision = TV_PRECISION_AVERAGE
    Case 2: precision = TV_PRECISION_HIGH
    Case 3: precision = TV_PRECISION_BEST
    Case 4: precision = TV_PRECISION_ULTRA
   End Select
   If lod = True Then Land.EnableLOD True
   DoEvents
   
   Land.GenerateHugeTerrain Form1.CD.filename, precision, TWidth, THeight, 0, 0, True
End Sub


Private Sub Command3_Click()
   'Unload Form1
End Sub


Private Sub Form_Load()
 Combo1.ListIndex = 1
End Sub

