VERSION 5.00
Begin VB.Form ConvertDDS
   Caption         =   "Form1"
   ClientHeight    =   5745
   ClientLeft      =   240
   ClientTop       =   1545
   ClientWidth     =   9045
   LinkTopic       =   "Form1"
   ScaleHeight     =   5745
   ScaleWidth      =   9045
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public DX As New DirectX8
Public D3D As Direct3D8
Public Device As Direct3DDevice8
Private Type BITMAPINFOHEADER  '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Private Type BITMAPHEADER
     magic As Integer
     Size As Long
     Reserved As Integer
     Reserved2 As Integer
     offset As Long
End Type
Private Type BITMAPHEADER2
     magic As Integer
     Size1 As Integer
     Size2 As Integer
     Reserved As Integer
     Reserved2 As Integer
     offset As Integer
     offset2 As Integer
End Type
Sub TexSave(file As String, texture As Direct3DTexture8)
  'Take a screen shot of the current texture
    
  Dim surface As Direct3DSurface8, Surf2 As Direct3DSurface8
  
  Dim Data() As Byte
  Set surface = texture.GetSurfaceLevel(0)
  Dim w As Long, h As Long
  Dim Desc As D3DSURFACE_DESC
  surface.GetDesc Desc
   
  Debug.Print Desc.Width, Desc.Format, Desc.Height, Desc.Size
  Set Surf2 = Device.CreateImageSurface(Desc.Width, Desc.Height, Desc.Format)
  
  Device.CopyRects surface, ByVal 0, 0, Surf2, ByVal 0
  Surf2.GetDesc Desc
  
  ReDim Preserve Data(Desc.Size) As Byte
  Dim RECT As D3DLOCKED_RECT
  'If TVApp.Fullscreen = True Then
   
   Surf2.LockRect RECT, ByVal 0, 0
   DXCopyMemory Data(0), ByVal RECT.pBits, Desc.Size
   Surf2.UnlockRect
   
    Dim MemoryCount As Long, y As Long, temp As Byte
   Dim data2() As Byte
   ReDim data2(Desc.Size) As Byte
   For y = 0 To Desc.Height - 1
      DXCopyMemory data2(y * RECT.Pitch), Data((Desc.Height - y - 1) * RECT.Pitch), RECT.Pitch
   Next y
    Dim offset As Long, offset2 As Long
    offset = 0
    offset2 = 0
   
   If Desc.Format = D3DFMT_R5G6B5 Then
    '16bits modes
    ReDim Data3(Desc.Size * 3 / 2) As Byte
     For i = 0 To Desc.Size / 2 - 1
      Data3(offset + 2) = data2(offset2 + 1) And &HF8
      Data3(offset + 1) = (data2(offset2 + 1) And &H7) * 32 + (data2(offset2) And &HE0) \ 8
      Data3(offset + 0) = (data2(offset2) And &H1F) * 8
      offset = offset + 3
      offset2 = offset2 + 2
     Next i
   Else
    '32bits modes, alpha is unsignifiant
    ReDim Data3(Desc.Size * 3 / 4) As Byte
     For i = 0 To Desc.Size / 2 - 1
      Data3(offset + 2) = data2(offset2 + 1)
      Data3(offset + 1) = data2(offset2 + 2)
      Data3(offset + 0) = data2(offset2 + 3)
      offset = offset + 3
      offset2 = offset2 + 4
     Next i
   End If
  MemoryCount = UBound(Data3) + 54
  Dim bm As BITMAPHEADER
  Dim bm2 As BITMAPINFOHEADER
  bm.magic = 19778
  bm.Size = MemoryCount
  bm.offset = 54
  bm2.biBitCount = 24
  bm2.biWidth = Desc.Width
  bm2.biHeight = Desc.Height
  bm2.biSize = 40
  bm2.biPlanes = 1
  bm2.biSizeImage = MemoryCount - 54
  bm2.biCompression = 0
  bm2.biXPelsPerMeter = 50
  bm2.biYPelsPerMeter = 50
   
   Close 1
   Open file For Binary As 1
    Put #1, , bm
    Put #1, , bm2
    Put #1, , Data3()
       
   Close
  'End If
  Erase Data()
  Set surface = Nothing
End Sub


Public Sub Convert()
  Dim surface As Direct3DTexture8
  Dim d3dx As New D3DX8
  On Error Resume Next
  For i = 1 To 10
  'device.LoadSurfaceFromFile surface, ByVal 0, ByVal 0, "D:\tv3d\textures\textures" & i & ".dds", ByVal 0, D3DX_DEFAULT, 0, ByVal 0
  Set surface = d3dx.CreateTextureFromFileEx(Device, "D:\tv3d\textures\textures" & i & ".dds", D3DX_DEFAULT, D3DX_DEFAULT, D3DX_DEFAULT, 0, D3DFMT_R5G6B5, D3DPOOL_DEFAULT, D3DX_DEFAULT, D3DX_DEFAULT, 0, ByVal 0, ByVal 0)
  TexSave "d:\tv3d\textures\textures" & i & ".bmp", surface
  Next i
  
  
End Sub

Public Sub TestDevice(Format As CONST_D3DFORMAT, StrLog As String, ZBuffer As Boolean, ZBufferFormat As CONST_D3DFORMAT)


Dim Adapter As Long
  
  
  Form2.Show
  Dim pp As D3DPRESENT_PARAMETERS
  pp.AutoDepthStencilFormat = ZBufferFormat
  pp.BackBufferFormat = Format
  pp.BackBufferWidth = 800
  pp.BackBufferHeight = 600
  pp.Windowed = False
  pp.EnableAutoDepthStencil = ZBuffer
  pp.SwapEffect = D3DSWAPEFFECT_COPY
  pp.hDeviceWindow = Form2.hWnd
  pp.BackBufferCount = 1
  Err.Clear
  On Error Resume Next
  Set Device = D3D.CreateDevice(Adapter, D3DDEVTYPE_HAL, Form2.hWnd, D3DCREATE_SOFTWARE_VERTEXPROCESSING, pp)

  If Err.Number Then
   AddLog "ERROR    : " & StrLog
  Else
   AddLog "PASSED   : " & StrLog
  End If
  Set Device = Nothing
  Form2.Hide
End Sub



Private Sub Form_Load()
  
'  Form2.Show
Set D3D = DX.Direct3DCreate
  Dim pp As D3DPRESENT_PARAMETERS
  pp.AutoDepthStencilFormat = 0
  pp.BackBufferFormat = D3DFMT_R5G6B5
  pp.BackBufferWidth = 800
  pp.BackBufferHeight = 600
  pp.Windowed = True
  pp.EnableAutoDepthStencil = 0
  pp.SwapEffect = D3DSWAPEFFECT_COPY
  pp.hDeviceWindow = Form1.hWnd
  pp.BackBufferCount = 1
  Err.Clear
'  On Error Resume Next
  Set Device = D3D.CreateDevice(0, D3DDEVTYPE_HAL, Form1.hWnd, D3DCREATE_SOFTWARE_VERTEXPROCESSING, pp)
  Convert
End Sub


Private Sub Form_Unload(Cancel As Integer)
  Set Device = Nothing
  Set D3D = Nothing
  Set DX = Nothing
End Sub


