Attribute VB_Name = "EditorTV"
'-------------------
' TrueVision Module
'--------------------

Public StartX As Long
Public SkyBox As Boolean
Public StartY As Long
Public EdAct As Long
Public Effect As New GraphicEffect8
Public Waitframe As Integer
Public Tv As New TrueVision8
Public Land As Landscape8
Public Scene As Scene8
Public AlphaLab As Single, SizeLab As Single
Public Inp As New InputEngine8
Public TexFactory As New TextureFactory8
Public Scr As New Screen8
Public Posx As Single, posy As Single, posz As Single, ang As Single, angy As Single
Public Const HWND_TOPMOST = -1
Public Const HWND_NOTOPMOST = -2
Public Const SWP_NOMOVE = 2
Public Const SWP_NOSIZE = 1
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Public MousePick As CollisionResult8
Public TVO As New FileTVO

Public PPath As String, TPath As String
Public DX As New DirectX8
Public D3D As Direct3D8
Public Device As Direct3DDevice8
Private Type BITMAPINFOHEADER  '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Private Type BITMAPHEADER
     magic As Integer
     Size As Long
     Reserved As Integer
     Reserved2 As Integer
     offset As Long
End Type
Private Type BITMAPHEADER2
     magic As Integer
     Size1 As Integer
     Size2 As Integer
     Reserved As Integer
     Reserved2 As Integer
     offset As Integer
     offset2 As Integer
End Type
Sub TexSave(File As String, texture As Direct3DTexture8)
  'Take a screen shot of the current texture
    
  Dim surface As Direct3DSurface8, Surf2 As Direct3DSurface8
  
  Dim Data() As Byte
  Set surface = texture.GetSurfaceLevel(0)
  Dim w As Long, h As Long
  Dim Desc As D3DSURFACE_DESC
  surface.GetDesc Desc
   
  Debug.Print Desc.Width, Desc.Format, Desc.Height, Desc.Size
  Set Surf2 = Device.CreateImageSurface(Desc.Width, Desc.Height, Desc.Format)
  
  Device.CopyRects surface, ByVal 0, 0, Surf2, ByVal 0
  Surf2.GetDesc Desc
  
  ReDim Preserve Data(Desc.Size) As Byte
  Dim RECT As D3DLOCKED_RECT
  'If TVApp.Fullscreen = True Then
   
   Surf2.LockRect RECT, ByVal 0, 0
   DXCopyMemory Data(0), ByVal RECT.pBits, Desc.Size
   Surf2.UnlockRect
   
    Dim MemoryCount As Long, y As Long, temp As Byte
   Dim data2() As Byte
   ReDim data2(Desc.Size) As Byte
   For y = 0 To Desc.Height - 1
      DXCopyMemory data2(y * RECT.Pitch), Data((Desc.Height - y - 1) * RECT.Pitch), RECT.Pitch
   Next y
    Dim offset As Long, offset2 As Long
    offset = 0
    offset2 = 0
   
   If Desc.Format = D3DFMT_R5G6B5 Then
    '16bits modes
    ReDim Data3(Desc.Size * 3 / 2) As Byte
     For i = 0 To Desc.Size / 2 - 1
      Data3(offset + 2) = data2(offset2 + 1) And &HF8
      Data3(offset + 1) = (data2(offset2 + 1) And &H7) * 32 + (data2(offset2) And &HE0) \ 8
      Data3(offset + 0) = (data2(offset2) And &H1F) * 8
      offset = offset + 3
      offset2 = offset2 + 2
     Next i
   Else
    '32bits modes, alpha is unsignifiant
    ReDim Data3(Desc.Size * 3 / 4) As Byte
     For i = 0 To Desc.Size / 2 - 1
      Data3(offset + 2) = data2(offset2 + 1)
      Data3(offset + 1) = data2(offset2 + 2)
      Data3(offset + 0) = data2(offset2 + 3)
      offset = offset + 3
      offset2 = offset2 + 4
     Next i
   End If
  MemoryCount = UBound(Data3) + 54
  Dim bm As BITMAPHEADER
  Dim bm2 As BITMAPINFOHEADER
  bm.magic = 19778
  bm.Size = MemoryCount
  bm.offset = 54
  bm2.biBitCount = 24
  bm2.biWidth = Desc.Width
  bm2.biHeight = Desc.Height
  bm2.biSize = 40
  bm2.biPlanes = 1
  bm2.biSizeImage = MemoryCount - 54
  bm2.biCompression = 0
  bm2.biXPelsPerMeter = 50
  bm2.biYPelsPerMeter = 50
   
   Close 1
   Open File For Binary As 1
    Put #1, , bm
    Put #1, , bm2
    Put #1, , Data3()
       
   Close
  'End If
  Erase Data()
  Set surface = Nothing
End Sub


Public Sub Convert(src As String, dest As String)
  Dim surface As Direct3DTexture8
  Dim d3dx As New D3DX8
  On Error Resume Next
  Set surface = d3dx.CreateTextureFromFileEx(Device, src, D3DX_DEFAULT, D3DX_DEFAULT, D3DX_DEFAULT, 0, D3DFMT_R5G6B5, D3DPOOL_DEFAULT, D3DX_DEFAULT, D3DX_DEFAULT, 0, ByVal 0, ByVal 0)
  TexSave dest, surface
  
  
End Sub





Public Sub CreateEmpty(SizeX As Integer, SizeY As Integer, precision As Integer)
  'Land.CreateEmptyTerrain precision, SizeX, SizeY, 0, 0
End Sub
Public Sub Init()
  Tv.Initialize Form1.Picture1.hwnd

  Tv.DisplayFPS = True
  Tv.Console = True
  Form1.Text2.Text = CurDir
  Form1.Text1.Text = CurDir
  
  Set Scene = New Scene8
Set Land = New Landscape8
  TexFactory.LoadTexture App.Path + "\arrow.bmp", "Cursor"
  Scene.SetCursorTexture GetTex("Cursor"), 16, 16
  Scene.SetSceneBackGround 0.5, 0.7, 1
 DoEvents
 Dim IO As New InternalObjects8
 Set Device = IO.GetDevice3D
 With Form1
  .Tree.Nodes.Add , , "Scene", "Scene"
  .Tree.Nodes.Add "Scene", 4, "Terrain", "Terrain", 2, 2
  .Tree.Nodes.Add "Scene", 4, "SkyBox", "Sky", 3, 3
  .Tree.Nodes.Add "Scene", 4, "Clouds", "Clouds", 4, 4
  .Tree.Nodes.Add "Scene", 4, "Models", "Models", 5, 5
  
 End With
 Posx = 100
 posz = 100
 posy = 100
 LoopGame
End Sub


Public Sub LoadHeightMap(filename As String, SizeX As Integer, SizeZ As Integer, precision As Integer)
'  Land.GenerateHugeTerrain filename, precision, SizeX, SizeZ, 0, 0, True
End Sub

Sub LoopGame()
 Scene.LoadCursor App.Path + "\arrow.bmp", TV_COLORKEY_BLACK, 16, 16
  On Error Resume Next
  Do
   Waitframe = 0
   Tv.Clear
    Land.Render
    If SkyBox = True Then
      Scene.RenderSky
    End If
   Tv.RenderToScreen
   Scene.SetCamera Posx, posy, posz, Posx + Cos(ang), posy + Sin(angy), posz + Sin(ang)
   DoEvents
   DoEvents
   
  Loop
  
End Sub

Public Sub SetTopStuff(FormE As Form)
        SetWindowPos FormE.hwnd, HWND_TOPMOST, FormE.Left / 15, FormE.Top / 15, FormE.Width / 15, FormE.Height / 15, flags

End Sub

Sub Unload()
  Set Land = Nothing
  Set Tv = Nothing
  End
  
End Sub


